Subject: Re: bug#56546: 29.0.50; unbounded RAM comsumption when displaying images

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 14 Jul 2022 10:53:12 +0200

Eli Zaretskii <[email-masked]> writes:

> Btw, did you try
>
>   M-: (clear-image-cache) RET

The problem is the animation cache, not the image cache, I think.  And I
see that I forgot to make clear-image-cache clear the animation cache,
which it should.

And also -- the animation cache should be pruned regularly, but it's not
only pruned when doing animated images.  I think it should also be
pruned from...  gc?  Or is there a different place it'd make sense to
prune that cache from?

Finally, image-cache-size should also report the animation cache size, I
think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no